###########################################################################
# Insert one TMS320VC2800 CPU into JTAG chain
# with emulator as parent 
###########################################################################
set DEV0 [ xds add ARM7 $EMU ]

# Modify Emulator parameters
# ONLY SAU510-ISO SUPPORTED for this board
# due to TCKR signal absence

# 1 MHz TCK
xds param $EMU sepk.pod_tckdiv 12
xds param $EMU sepk.pod_tckexp 4
# !!! Board doesn't provide TCKR signal !!!
xds param $EMU sepk.pod_no_tckr YES

###########################################################################
# Select $DEV0 CPU as target device DEV, to which flash/EEPROM is connected
###########################################################################
set DEV $DEV0

###########################################################################
# CPU clock frequency
###########################################################################
set cpu_clock    7500000
set periph_clock 7500000

# CS of SPI EEPROM is connected to dedicated CS signal of SPI controller
#
set cs_port_address auto
# CS signal port is... 
# set cs_port_mempage 
# CS signal port width ...
# set cs_port_width 
# CS signal bit is ...
# set cs_port_bit 
# CS signal polarity is ...
# set cs_port_polarity

#
# MSM unlock password
#
set msm_password { 0xFFFFFFFF 0xFFFFFFFF 0xFFFFFFFF 0xFFFFFFFF }

#
# Flash programming enable password
#
set flash_password { 0xFFFFFFFF 0xFFFFFFFF 0xFFFFFFFF 0xFFFFFFFF }

#
# Uncomment this to enable flash keys reprogramming
# WARNING! DANGEROUS!
#
# set EnableKeysProgramming 0x12345678

###########################################################################
# change this proc according to schematic of your
# board to initialize all of the environment of EEPROM/Flash
# for correct programming
###########################################################################
proc UserInitAfterReset { dev } {

  upvar 1 flash_type flash_type

}

proc UserInitAfterCPUInit { dev } {

  upvar 1 flash_type flash_type

}

###########################################################################
# change this proc according to schematic of your
# board to initialize all of the environment of EEPROM/Flash
# for correct programming
###########################################################################
proc UserInitCPUEnv { dev } {

  upvar 1 flash_type flash_type

}

###########################################################################
# change this proc according to schematic of your
# board to reset all of the environment of EEPROM/Flash
# for normal operation after programming
###########################################################################
proc UserFinishCPUEnv { dev } {

  upvar 1 flash_type flash_type

}
