###########################################################################
# Insert one TMS320VC2800 CPU into JTAG chain
# with emulator as parent 
###########################################################################
set DEV0 [ xds add TMS320C2800 $EMU ]

###########################################################################
# Select $DEV0 CPU as target device DEV, to which flash/EEPROM is connected
###########################################################################
set DEV $DEV0

###########################################################################
# CPU clock frequency
###########################################################################
set quarz_frequency 20000000

##############################################################
# CSM unlock password
#
set csm_password { 0xFFFF 0xFFFF 0xFFFF 0xFFFF 0xFFFF 0xFFFF 0xFFFF 0xFFFF }

#
# Uncomment this to enable flash keys reprogramming
# WARNING! DANGEROUS!
#
# set EnableKeysProgramming 0x12345678

###########################################################################
# for SPI-interfaced FLASH IC's
# set information on CS signal
# CS signal port
#GPADAT (0-31 bit)
set cs_port_address 0x6FC0 
#GPBDAT (32-34 bit)
#set cs_port_address 0x6FC8
# CS signal port is in IO space
set cs_port_mempage 1
# CS signal port width (0 - 8-bit, 1 - 16-bit, 2 - 32-bit)
set cs_port_width 2
# CS signal bit is 0x00040000 (GPIO19)
set cs_port_bit 0x00080000
# CS signal polarity is 0, active low
set cs_port_polarity 0


###########################################################################
# change this proc according to schematic of your
# board to initialize all of the environment of EEPROM/Flash
# for correct programming
###########################################################################
proc UserInitCPUEnv { dev } {


puts "Board Initializing"

  upvar 1 flash_type flash_type
  upvar 1 iftype iftype
  if { $flash_type == 2 } {

	# for SPI EEPROMS - we need configure CS (GPIO19) as output
	# with high level by default

	# GPADIR
	PutLong $dev 0x6F8A 1 0x00080100

	# GPADATA
	PutLong $dev 0x6FC0 1 0x00080100

	puts "  GPIO19 (EEPROM's CS pin) is set to output with high level"
  }
}

###########################################################################
# change this proc according to schematic of your
# board to reset all of the environment of EEPROM/Flash
# for normal operation after programming
###########################################################################
proc UserFinishCPUEnv { dev } {

  upvar 1 flash_type flash_type

}
